> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Create account settings export request

POST https://api-d.docusign.net/Management/v2/organizations/{organizationId}/exports/account_settings
Content-Type: application/json

Creates a new account settings export request.

To learn more about exporting account settings,
see [Account Settings Export](https://support.docusign.com/s/document-item?bundleId=rrf1583359212854\&topicId=kfj1583359164049.html)
in the Docusign Admin Guide.

You can export settings for up to 40 accounts at a time.

Specify the accounts whose settings you are requesting as JSON in the body of the request, like this:

```json
{
  "accounts":	[
      { "account_id": "9ca037f4-xxxx-xxxx-xxxx-212e57d4f22e"},
      { "account_id": "624e3e00-xxxx-xxxx-xxxx-43918c520dab"}

  ]
}
```

[Required authentication scopes](/docs/admin-api/admin101/auth/): `account_write`.

### Related topics

* [Account Settings import](https://support.docusign.com/s/document-item?bundleId=rrf1583359212854\&topicId=nwl1583359167434.html) guide
* [Account Settings Export](https://support.docusign.com/s/document-item?bundleId=rrf1583359212854\&topicId=kfj1583359164049.html) guide

Reference: https://developers.docusign.com/docs/admin-api/reference/bulkoperations/accountsettingsexport/createaccountsettingsexport

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 Access code Grant

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization ID Guid

### Body (application/json)

This endpoint expects an OrganizationAccountsRequest.

- `accounts` (list of OrganizationAccountRequest, optional)

## Response

### 200

OK

- `id` (string, optional) — The unique ID of this request.
- `type` (string, optional) — The type of export requested. One of: - `organization_domain_users_export`: All users of the reserved domains. - `organization_external_memberships_export`: Users whose email address domain is _not_ linked to the organization. - `organization_memberships_export`: Every user in every account in the organization. Users in multiple accounts will appear more than once. - `organization_account_settings_export`: This value only applies to requests to export account settings.
- `requestor` (OrganizationExportRequestorResponse, optional)
- `created` (datetime, optional) — The time and date the request was created. This is a date in ISO 8601 format. Example: `2019-03-26T19:02:09.8957715Z`
- `last_modified` (datetime, optional) — The time and date when the request was modified. This is typically the same as `created`.
- `completed` (datetime, optional) — The time and date when the request completed. Null if the request is still in progress.
- `expires` (datetime, optional) — The time and date when the request expires.
- `status` (string, optional) — The status of the request. One of: - `failed` - `in_process` - `queued` - `completed`
- `selected_accounts` (list of OrgExportSelectedAccount, optional)
- `selected_domains` (list of OrgExportSelectedDomain, optional)
- `metadata_url` (string, optional) — A pre-configured GET request to get the status of the export. Generally this is the same URI used to access this endpoint.
- `percent_completed` (integer, optional) — An integer between 0 to 100 (inclusive) that reports the progress of the request.
- `number_rows` (long, optional) — The number of rows returned in this request.
- `size_bytes` (long, optional) — The size of the request in bytes.
- `results` (list of OrganizationExportTaskResponse, optional) — An array of results. There is one set of results for each server an account is in.
- `success` (boolean, optional) — When **true,** the request succeeded.

## Types

### OrganizationAccountRequest

- `account_id` (string, required) — Select users that are members of the specified account. At least one of `email`, `account_id` or `organization_reserved_domain_id` must be specified.

### OrganizationExportRequestorResponse

- `name` (string, optional) — The name of the requestor.
- `id` (string, optional) — The unique ID of the requestor. If `type` is `user`, this is the requestor's user ID.
- `type` (string, optional) — The type of the requestor. One of: - `user` - `client_app`
- `email` (string, optional) — The email address of the requestor.

### OrgExportSelectedAccount

- `account_id` (string, optional) — Select users that are members of the specified account. At least one of `email`, `account_id` or `organization_reserved_domain_id` must be specified.

### OrgExportSelectedDomain

- `domain` (string, optional)

### OrganizationExportTaskResponse

- `id` (string, optional) — The unique ID of the task request.
- `site_id` (integer, optional) — The ID of the site the response is for.
- `url` (string, optional) — The URL that returns the results as a CSV text stream.
- `number_rows` (long, optional) — The number of rows returned in the result.
- `size_bytes` (long, optional) — The size of the response in bytes.
- `error_details` (OETR_ErrorDetails, optional)

### OETR_ErrorDetails

- `error` (string, optional) — The error number.
- `error_description` (string, optional) — A longer description of the error.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "id": "00000000-0000-0000-0000-000000000000",
  "type": "string",
  "requestor": {
    "name": "string",
    "id": "string",
    "type": "string",
    "email": "string"
  },
  "created": "2024-01-15T09:30:00Z",
  "last_modified": "2024-01-15T09:30:00Z",
  "completed": "2024-01-15T09:30:00Z",
  "expires": "2024-01-15T09:30:00Z",
  "status": "string",
  "selected_accounts": [
    {
      "account_id": "00000000-0000-0000-0000-000000000000"
    }
  ],
  "selected_domains": [
    {
      "domain": "string"
    }
  ],
  "metadata_url": "string",
  "percent_completed": 1,
  "number_rows": 1,
  "size_bytes": 1,
  "results": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "site_id": 1,
      "url": "string",
      "number_rows": 1,
      "size_bytes": 1,
      "error_details": {
        "error": "string",
        "error_description": "string"
      }
    }
  ],
  "success": true
}
```